Subject: [PATCH net-next 0/2] net: sched: act_tunnel_key: UDP checksums

From: Jiri Benc <[email-masked]>
Date: Wed, 14 Jun 2017 21:19:29 +0200

Currently, the tunnel_key tc action does not set TUNNEL_CSUM, thus
transmitting packets with zero UDP checksum. This is inconsistent with how
we treat non-lwt UDP tunnels where the default is to fill in the UDP
checksum. Non-zero UDP checksum is the better default anyway for various
reasons previously discussed.

Make this configurable for the tunnel_key tc action with the default being
non-zero checksum. Saves a lot of surprises especially with IPv6.

Signed-off-by: Jiri Benc <[email-masked]>

Jiri Benc (2):
  net: sched: act_tunnel_key: request UDP checksum by default
  net: sched: act_tunnel_key: make UDP checksum configurable

 include/uapi/linux/tc_act/tc_tunnel_key.h |  1 +
 net/sched/act_tunnel_key.c                | 15 ++++++++++++---
 2 files changed, 13 insertions(+), 3 deletions(-)

-- 
1.8.3.1